Get Product Sort Order
Returns a list of products and their sort order for a specific category.
**Limits**
- page=2&limit=250 will return page 2 of the results with 250 items per page.
**Usage Notes**
* Product sort order only takes effect on the storefront when sorting by **Featured Items** in the category. See [Sort Order](https://support.bigcommerce.com/s/article/Sort-Order) for more information.
* Data pairs are displayed in ascending order based on products' `sort_order` values.
* `null` values are allowed for products without specified `sort_order` values.
* Products with `sort_order` value of `null` will be displayed after products with valid numerical values.
* The priorities for determining product sort order on a storefront are the following:
* Priority 1: Manually specified sort order on Category Level (API).
* Priority 2: Manually specified sort order on Product (Global) Level (UI/API).
* Priority 3: Default sorting by Product ID (newly added products go first) (UI/API).
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
category_id
Response
data
meta
Data about the response, including pagination and collection totals.
Errors
403
Forbidden Error
404
Not Found Error